digiKam Developer Documentation: Digikam::BackendMarble Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Slots | Protected Member Functions | Static Protected Member Functions | List of all members
Digikam::BackendMarble Class Reference
Inheritance diagram for Digikam::BackendMarble:

## Public Slots
void | slotClustersNeedUpdating () override
void | slotThumbnailAvailableForIndex (const QVariant &index, const QPixmap &pixmap) override
void | slotTrackManagerChanged () override
void | slotUngroupedModelChanged (const int index)
Public Slots inherited from Digikam::MapBackend
virtual void | slotClustersNeedUpdating ()=0
virtual void | slotThumbnailAvailableForIndex (const QVariant &index, const QPixmap &pixmap)
virtual void | slotTrackManagerChanged ()

## Public Member Functions
| BackendMarble (const QExplicitlySharedDataPointer< GeoIfaceSharedData > &sharedData, QObject *const parent=nullptr)
| ~BackendMarble () override
void | addActionsToConfigurationMenu (QMenu *const configurationMenu) override
QString | backendHumanName () const override
QString | backendName () const override
void | centerOn (const Marble::GeoDataLatLonBox &box, const bool useSaneZoomLevel) override
bool | geoCoordinates (const QPoint &point, GeoCoordinates *const coordinates) const override
GeoCoordinates | getCenter () const override
QString | getMapTheme () const
int | getMarkerModelLevel () override
GeoCoordinates::PairList | getNormalizedBounds () override
QString | getProjection () const
QString | getZoom () const override
bool | isReady () const override
QSize | mapSize () const override
QWidget * | mapWidget () override
void | mapWidgetDocked (const bool state) override
void | marbleCustomPaint (Marble::GeoPainter *painter)
void | mouseModeChanged () override
void | readSettingsFromGroup (const KConfigGroup *const group) override
void | regionSelectionChanged () override
void | releaseWidget (GeoIfaceInternalWidgetInfo *const info) override
void | reload () override
void | saveSettingsToGroup (KConfigGroup *const group) override
bool | screenCoordinates (const GeoCoordinates &coordinates, QPoint *const point) override
void | setActive (const bool state) override
void | setCenter (const GeoCoordinates &coordinate) override
void | setMapTheme (const QString &newMapTheme)
void | setProjection (const QString &newProjection)
void | setShowCompass (const bool state)
void | setShowNavigation (const bool state)
void | setShowOverviewMap (const bool state)
void | setShowScaleBar (const bool state)
void | setZoom (const QString &newZoom) override
void | updateActionAvailability () override
void | updateClusters () override
void | updateMarkers () override
void | zoomIn () override
void | zoomOut () override
Public Member Functions inherited from Digikam::MapBackend
| MapBackend (const QExplicitlySharedDataPointer< GeoIfaceSharedData > &sharedData, QObject *const parent)

## Protected Slots
void | slotFloatSettingsTriggered (QAction *action)
void | slotMapThemeActionTriggered (QAction *action)
void | slotMarbleZoomChanged ()
void | slotProjectionActionTriggered (QAction *action)
void | slotScheduleUpdate ()
void | slotTracksChanged (const QList< TrackManager::TrackChanges > &trackChanges)
Protected Slots inherited from Digikam::MapBackend
void | slotExportScreenshot ()

## Protected Member Functions
void | applyCacheToWidget ()
void | createActions ()
void | drawSearchRectangle (Marble::GeoPainter *const painter, const GeoCoordinates::Pair &searchRectangle, const bool isOldRectangle)
bool | eventFilter (QObject *object, QEvent *event) override
bool | findSnapPoint (const QPoint &actualPoint, QPoint *const snapPoint, GeoCoordinates *const snapCoordinates, QPair< int, QModelIndex > *const snapTargetIndex)
void | GeoPainter_drawPixmapAtCoordinates (Marble::GeoPainter *const painter, const QPixmap &pixmap, const GeoCoordinates &coordinates, const QPoint &basePoint)
| Replacement for Marble::GeoPainter::drawPixmap which takes a pixel offset.
Protected Member Functions inherited from Digikam::MapBackend
void | addCommonOptions (QMenu *const configurationMenu)

## Static Protected Member Functions
static void | deleteInfoFunction (GeoIfaceInternalWidgetInfo *const info)

## Additional Inherited Members
Signals inherited from Digikam::MapBackend
void | signalBackendReadyChanged (const QString &backendName)
void | signalClustersClicked (const QIntList &clusterIndices)
void | signalClustersMoved (const QIntList &clusterIndices, const QPair< int, QModelIndex > &snapTarget)
void | signalMarkersMoved (const QIntList &markerIndices)
void | signalSelectionHasBeenMade (const Digikam::GeoCoordinates::Pair &coordinates)
void | signalZoomChanged (const QString &newZoom)
Public Attributes inherited from Digikam::MapBackend
const QExplicitlySharedDataPointer< GeoIfaceSharedData > | s

## Constructor & Destructor Documentation

## ◆ ~BackendMarble()

Digikam::BackendMarble::~BackendMarble | ( |  | ) |
| override

## Member Function Documentation

## ◆ addActionsToConfigurationMenu()

void Digikam::BackendMarble::addActionsToConfigurationMenu | ( | QMenu *const | configurationMenu | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ applyCacheToWidget()

void Digikam::BackendMarble::applyCacheToWidget | ( |  | ) |
| protected

## ◆ backendHumanName()

QString Digikam::BackendMarble::backendHumanName | ( |  | ) | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ backendName()

QString Digikam::BackendMarble::backendName | ( |  | ) | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ centerOn()

void Digikam::BackendMarble::centerOn | ( | const Marble::GeoDataLatLonBox & | box,
|  | const bool | useSaneZoomLevel
| ) |  |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ eventFilter()

bool Digikam::BackendMarble::eventFilter | ( | QObject * | object,
|  | QEvent * | event
| ) |  |
| overrideprotected

## ◆ geoCoordinates()

bool Digikam::BackendMarble::geoCoordinates | ( | const QPoint & | point,
|  | GeoCoordinates *const | coordinates
| ) |  | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ GeoPainter_drawPixmapAtCoordinates()

void Digikam::BackendMarble::GeoPainter_drawPixmapAtCoordinates | ( | Marble::GeoPainter *const | painter,
|  | const QPixmap & | pixmap,
|  | const GeoCoordinates & | coordinates,
|  | const QPoint & | offsetPoint
| ) |  |
| protected

Parameters

  painter | Marble::GeoPainter on which to draw the pixmap
  pixmap | Pixmap to be drawn
  coordinates | GeoCoordinates where the image is to be drawn
  offsetPoint | Point in the `pixmap` which should be at `coordinates`

## ◆ getCenter()

GeoCoordinates Digikam::BackendMarble::getCenter | ( |  | ) | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ getMarkerModelLevel()

int Digikam::BackendMarble::getMarkerModelLevel | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ getNormalizedBounds()

GeoCoordinates::PairList Digikam::BackendMarble::getNormalizedBounds | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ getProjection()

QString Digikam::BackendMarble::getProjection | ( |  | ) | const

## ◆ getZoom()

QString Digikam::BackendMarble::getZoom | ( |  | ) | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ isReady()

bool Digikam::BackendMarble::isReady | ( |  | ) | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ mapSize()

QSize Digikam::BackendMarble::mapSize | ( |  | ) | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ mapWidget()

QWidget * Digikam::BackendMarble::mapWidget | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ mapWidgetDocked()

void Digikam::BackendMarble::mapWidgetDocked | ( | const bool | state | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ marbleCustomPaint()

void Digikam::BackendMarble::marbleCustomPaint | ( | Marble::GeoPainter * | painter | ) |

## ◆ mouseModeChanged()

void Digikam::BackendMarble::mouseModeChanged | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ readSettingsFromGroup()

void Digikam::BackendMarble::readSettingsFromGroup | ( | const KConfigGroup *const | group | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ regionSelectionChanged()

void Digikam::BackendMarble::regionSelectionChanged | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ releaseWidget()

void Digikam::BackendMarble::releaseWidget | ( | GeoIfaceInternalWidgetInfo *const | info | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ reload()

void Digikam::BackendMarble::reload | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ saveSettingsToGroup()

void Digikam::BackendMarble::saveSettingsToGroup | ( | KConfigGroup *const | group | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ screenCoordinates()

bool Digikam::BackendMarble::screenCoordinates | ( | const GeoCoordinates & | coordinates,
|  | QPoint *const | point
| ) |  |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ setActive()

void Digikam::BackendMarble::setActive | ( | const bool | state | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ setCenter()

void Digikam::BackendMarble::setCenter | ( | const GeoCoordinates & | coordinate | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ setZoom()

void Digikam::BackendMarble::setZoom | ( | const QString & | newZoom | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ slotScheduleUpdate

void Digikam::BackendMarble::slotScheduleUpdate | ( |  | ) |
| protectedslot

## ◆ updateActionAvailability()

void Digikam::BackendMarble::updateActionAvailability | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ updateClusters()

void Digikam::BackendMarble::updateClusters | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ updateMarkers()

void Digikam::BackendMarble::updateMarkers | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ zoomIn()

void Digikam::BackendMarble::zoomIn | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ zoomOut()

void Digikam::BackendMarble::zoomOut | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.